import { Compiler, Entry, EntryFunc } from 'webpack';
declare type EntryType = string | string[] | Entry | EntryFunc;
export declare type Loader = () => string;
export declare const registry: {
    [key: string]: Loader;
};
export declare const enum ENTRY_ORDER {
    First = 0,
    Last = 1,
    NotLast = 2
}
export interface IInjectOptions {
    entryName?: string;
    entryOrder?: ENTRY_ORDER;
}
export declare function injectEntry(originalEntry: EntryType | undefined, newEntry: string, options: IInjectOptions): EntryType;
export default class WebpackInjectPlugin {
    private readonly options;
    private readonly loader;
    constructor(loader: Loader, options?: IInjectOptions);
    apply(compiler: Compiler): void;
}
export {};
